DISPDATA_CREATE_DATAOBJECT(3)

EXPERIMENTAL_FUNC
dispdata_create_dataobject - Create a display data object (i.e. array, overlay, etc.).

SYNOPSIS
#include <karma_dispdata.h>

KDisplayDataObject dispdata_create_dataobject

(KDisplayDataClass dataclass, CONST char *domain, CONST char *name, void *data)

DESCRIPTION
Create a display data object (i.e. array, overlay, etc.).

dataclass
    The KDisplayDataClass the data belong to.

domain
    The domain from where data came from. The string contents are copied.

name
    The name of the object. The string contents are copied.

data
    The data for the object.

RETURN VALUE
A KDisplayDataObject object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/